 igvf-async-client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 46.1.2
- Package version: 46.1.2
- Generator version: 7.8.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/IGVF-DACC/igvf-async-python-client.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/IGVF-DACC/igvf-async-python-client.git`)

Then import the package:
```python
import igvf_async_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import igvf_async_client
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import igvf_async_client
from igvf_async_client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://api.data.igvf.org
# See configuration.py for a list of all supported configuration parameters.
configuration = igvf_async_client.Configuration(
    host = "https://api.data.igvf.org"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure HTTP basic authorization: basicAuth
configuration = igvf_async_client.Configuration(
    access_key = os.environ["IGVF_ACCESS_KEY"],
    secret_access_key = os.environ["IGVF_SECRET_ACCESS_KEY"]
)


# Enter a context with an instance of the API client
async with igvf_async_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = igvf_async_client.AsyncIgvfApi(api_client)
    query = 'variant flowfish jurkat' # str | Query string for searching. (optional)
    limit = igvf_async_client.Limit() # Limit | Maximum number of results to return. Default is 25. Use 'all' for all results. (optional)
    sort = ['-file_size'] # List[str] | Fields to sort results by. Prefix with '-' for descending order. Can be repeated for multiple sort fields. Does not work with limit=all. (optional)
    id = ['id_example'] # List[str] | Filter by @id (optional)
    access_key_id = ['access_key_id_example'] # List[str] | Filter by access_key_id (optional)
    aliases = ['aliases_example'] # List[str] | Filter by aliases (optional)
    creation_timestamp = ['creation_timestamp_example'] # List[str] | Filter by creation_timestamp (optional)
    description = ['description_example'] # List[str] | Filter by description (optional)
    notes = ['notes_example'] # List[str] | Filter by notes (optional)
    secret_access_key_hash = ['secret_access_key_hash_example'] # List[str] | Filter by secret_access_key_hash (optional)
    status = ['status_example'] # List[str] | Filter by status (optional)
    submitted_by_id = ['submitted_by_id_example'] # List[str] | Filter by submitted_by.@id (optional)
    submitted_by_title = ['submitted_by_title_example'] # List[str] | Filter by submitted_by.title (optional)
    submitter_comment = ['submitter_comment_example'] # List[str] | Filter by submitter_comment (optional)
    summary = ['summary_example'] # List[str] | Filter by summary (optional)
    user = ['user_example'] # List[str] | Filter by user (optional)
    uuid = ['uuid_example'] # List[str] | Filter by uuid (optional)

    try:
        # List items in the AccessKey collection.
        api_response = await api_instance.access_keys(query=query, limit=limit, sort=sort, id=id, access_key_id=access_key_id, aliases=aliases, creation_timestamp=creation_timestamp, description=description, notes=notes, secret_access_key_hash=secret_access_key_hash, status=status, submitted_by_id=submitted_by_id, submitted_by_title=submitted_by_title, submitter_comment=submitter_comment, summary=summary, user=user, uuid=uuid)
        print("The response of AsyncIgvfApi->access_keys:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling AsyncIgvfApi->access_keys: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://api.data.igvf.org*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AsyncIgvfApi* | [**access_keys**](docs/AsyncIgvfApi.md#access_keys) | **GET** /access-keys/@@listing | List items in the AccessKey collection.
*AsyncIgvfApi* | [**alignment_files**](docs/AsyncIgvfApi.md#alignment_files) | **GET** /alignment-files/@@listing | List items in the AlignmentFile collection.
*AsyncIgvfApi* | [**analysis_sets**](docs/AsyncIgvfApi.md#analysis_sets) | **GET** /analysis-sets/@@listing | List items in the AnalysisSet collection.
*AsyncIgvfApi* | [**analysis_step_versions**](docs/AsyncIgvfApi.md#analysis_step_versions) | **GET** /analysis-step-versions/@@listing | List items in the AnalysisStepVersion collection.
*AsyncIgvfApi* | [**analysis_steps**](docs/AsyncIgvfApi.md#analysis_steps) | **GET** /analysis-steps/@@listing | List items in the AnalysisStep collection.
*AsyncIgvfApi* | [**assay_terms**](docs/AsyncIgvfApi.md#assay_terms) | **GET** /assay-terms/@@listing | List items in the AssayTerm collection.
*AsyncIgvfApi* | [**auxiliary_sets**](docs/AsyncIgvfApi.md#auxiliary_sets) | **GET** /auxiliary-sets/@@listing | List items in the AuxiliarySet collection.
*AsyncIgvfApi* | [**awards**](docs/AsyncIgvfApi.md#awards) | **GET** /awards/@@listing | List items in the Award collection.
*AsyncIgvfApi* | [**batch_download**](docs/AsyncIgvfApi.md#batch_download) | **GET** /batch-download | List files to download based on search query. All results are returned.
*AsyncIgvfApi* | [**biomarkers**](docs/AsyncIgvfApi.md#biomarkers) | **GET** /biomarkers/@@listing | List items in the Biomarker collection.
*AsyncIgvfApi* | [**configuration_files**](docs/AsyncIgvfApi.md#configuration_files) | **GET** /configuration-files/@@listing | List items in the ConfigurationFile collection.
*AsyncIgvfApi* | [**construct_library_sets**](docs/AsyncIgvfApi.md#construct_library_sets) | **GET** /construct-library-sets/@@listing | List items in the ConstructLibrarySet collection.
*AsyncIgvfApi* | [**crispr_modifications**](docs/AsyncIgvfApi.md#crispr_modifications) | **GET** /crispr-modifications/@@listing | List items in the CrisprModification collection.
*AsyncIgvfApi* | [**curated_sets**](docs/AsyncIgvfApi.md#curated_sets) | **GET** /curated-sets/@@listing | List items in the CuratedSet collection.
*AsyncIgvfApi* | [**degron_modifications**](docs/AsyncIgvfApi.md#degron_modifications) | **GET** /degron-modifications/@@listing | List items in the DegronModification collection.
*AsyncIgvfApi* | [**documents**](docs/AsyncIgvfApi.md#documents) | **GET** /documents/@@listing | List items in the Document collection.
*AsyncIgvfApi* | [**download**](docs/AsyncIgvfApi.md#download) | **GET** /{file_id}/@@download | Download file.
*AsyncIgvfApi* | [**genes**](docs/AsyncIgvfApi.md#genes) | **GET** /genes/@@listing | List items in the Gene collection.
*AsyncIgvfApi* | [**genome_browser_annotation_files**](docs/AsyncIgvfApi.md#genome_browser_annotation_files) | **GET** /genome-browser-annotation-files/@@listing | List items in the GenomeBrowserAnnotationFile collection.
*AsyncIgvfApi* | [**get_by_id**](docs/AsyncIgvfApi.md#get_by_id) | **GET** /{resource_id} | Get item information
*AsyncIgvfApi* | [**human_donors**](docs/AsyncIgvfApi.md#human_donors) | **GET** /human-donors/@@listing | List items in the HumanDonor collection.
*AsyncIgvfApi* | [**image_files**](docs/AsyncIgvfApi.md#image_files) | **GET** /image-files/@@listing | List items in the ImageFile collection.
*AsyncIgvfApi* | [**images**](docs/AsyncIgvfApi.md#images) | **GET** /images/@@listing | List items in the Image collection.
*AsyncIgvfApi* | [**in_vitro_systems**](docs/AsyncIgvfApi.md#in_vitro_systems) | **GET** /in-vitro-systems/@@listing | List items in the InVitroSystem collection.
*AsyncIgvfApi* | [**institutional_certificates**](docs/AsyncIgvfApi.md#institutional_certificates) | **GET** /institutional-certificates/@@listing | List items in the InstitutionalCertificate collection.
*AsyncIgvfApi* | [**labs**](docs/AsyncIgvfApi.md#labs) | **GET** /labs/@@listing | List items in the Lab collection.
*AsyncIgvfApi* | [**matrix_files**](docs/AsyncIgvfApi.md#matrix_files) | **GET** /matrix-files/@@listing | List items in the MatrixFile collection.
*AsyncIgvfApi* | [**measurement_sets**](docs/AsyncIgvfApi.md#measurement_sets) | **GET** /measurement-sets/@@listing | List items in the MeasurementSet collection.
*AsyncIgvfApi* | [**model_files**](docs/AsyncIgvfApi.md#model_files) | **GET** /model-files/@@listing | List items in the ModelFile collection.
*AsyncIgvfApi* | [**model_sets**](docs/AsyncIgvfApi.md#model_sets) | **GET** /model-sets/@@listing | List items in the ModelSet collection.
*AsyncIgvfApi* | [**multiplexed_samples**](docs/AsyncIgvfApi.md#multiplexed_samples) | **GET** /multiplexed-samples/@@listing | List items in the MultiplexedSample collection.
*AsyncIgvfApi* | [**open_reading_frames**](docs/AsyncIgvfApi.md#open_reading_frames) | **GET** /open-reading-frames/@@listing | List items in the OpenReadingFrame collection.
*AsyncIgvfApi* | [**pages**](docs/AsyncIgvfApi.md#pages) | **GET** /pages/@@listing | List items in the Page collection.
*AsyncIgvfApi* | [**phenotype_terms**](docs/AsyncIgvfApi.md#phenotype_terms) | **GET** /phenotype-terms/@@listing | List items in the PhenotypeTerm collection.
*AsyncIgvfApi* | [**phenotypic_features**](docs/AsyncIgvfApi.md#phenotypic_features) | **GET** /phenotypic-features/@@listing | List items in the PhenotypicFeature collection.
*AsyncIgvfApi* | [**platform_terms**](docs/AsyncIgvfApi.md#platform_terms) | **GET** /platform-terms/@@listing | List items in the PlatformTerm collection.
*AsyncIgvfApi* | [**prediction_sets**](docs/AsyncIgvfApi.md#prediction_sets) | **GET** /prediction-sets/@@listing | List items in the PredictionSet collection.
*AsyncIgvfApi* | [**primary_cells**](docs/AsyncIgvfApi.md#primary_cells) | **GET** /primary-cells/@@listing | List items in the PrimaryCell collection.
*AsyncIgvfApi* | [**publications**](docs/AsyncIgvfApi.md#publications) | **GET** /publications/@@listing | List items in the Publication collection.
*AsyncIgvfApi* | [**reference_files**](docs/AsyncIgvfApi.md#reference_files) | **GET** /reference-files/@@listing | List items in the ReferenceFile collection.
*AsyncIgvfApi* | [**report**](docs/AsyncIgvfApi.md#report) | **GET** /multireport.tsv | Generate a report based on search query. All results are returned.
*AsyncIgvfApi* | [**rodent_donors**](docs/AsyncIgvfApi.md#rodent_donors) | **GET** /rodent-donors/@@listing | List items in the RodentDonor collection.
*AsyncIgvfApi* | [**sample_terms**](docs/AsyncIgvfApi.md#sample_terms) | **GET** /sample-terms/@@listing | List items in the SampleTerm collection.
*AsyncIgvfApi* | [**schema_for_item_type**](docs/AsyncIgvfApi.md#schema_for_item_type) | **GET** /profiles/{item_type} | Retrieve JSON schema for item type
*AsyncIgvfApi* | [**schemas**](docs/AsyncIgvfApi.md#schemas) | **GET** /profiles | Retrieve JSON schemas for all item types
*AsyncIgvfApi* | [**search**](docs/AsyncIgvfApi.md#search) | **GET** /search | Search for items in the IGVF Project.
*AsyncIgvfApi* | [**sequence_files**](docs/AsyncIgvfApi.md#sequence_files) | **GET** /sequence-files/@@listing | List items in the SequenceFile collection.
*AsyncIgvfApi* | [**signal_files**](docs/AsyncIgvfApi.md#signal_files) | **GET** /signal-files/@@listing | List items in the SignalFile collection.
*AsyncIgvfApi* | [**software**](docs/AsyncIgvfApi.md#software) | **GET** /software/@@listing | List items in the Software collection.
*AsyncIgvfApi* | [**software_versions**](docs/AsyncIgvfApi.md#software_versions) | **GET** /software-versions/@@listing | List items in the SoftwareVersion collection.
*AsyncIgvfApi* | [**sources**](docs/AsyncIgvfApi.md#sources) | **GET** /sources/@@listing | List items in the Source collection.
*AsyncIgvfApi* | [**tabular_files**](docs/AsyncIgvfApi.md#tabular_files) | **GET** /tabular-files/@@listing | List items in the TabularFile collection.
*AsyncIgvfApi* | [**technical_samples**](docs/AsyncIgvfApi.md#technical_samples) | **GET** /technical-samples/@@listing | List items in the TechnicalSample collection.
*AsyncIgvfApi* | [**tissues**](docs/AsyncIgvfApi.md#tissues) | **GET** /tissues/@@listing | List items in the Tissue collection.
*AsyncIgvfApi* | [**treatments**](docs/AsyncIgvfApi.md#treatments) | **GET** /treatments/@@listing | List items in the Treatment collection.
*AsyncIgvfApi* | [**users**](docs/AsyncIgvfApi.md#users) | **GET** /users/@@listing | List items in the User collection.
*AsyncIgvfApi* | [**whole_organisms**](docs/AsyncIgvfApi.md#whole_organisms) | **GET** /whole-organisms/@@listing | List items in the WholeOrganism collection.
*AsyncIgvfApi* | [**workflows**](docs/AsyncIgvfApi.md#workflows) | **GET** /workflows/@@listing | List items in the Workflow collection.


## Documentation For Models

 - [AccessKey](docs/AccessKey.md)
 - [AccessKeyResults](docs/AccessKeyResults.md)
 - [AlignmentFile](docs/AlignmentFile.md)
 - [AlignmentFileResults](docs/AlignmentFileResults.md)
 - [AnalysisSet](docs/AnalysisSet.md)
 - [AnalysisSetResults](docs/AnalysisSetResults.md)
 - [AnalysisStep](docs/AnalysisStep.md)
 - [AnalysisStepResults](docs/AnalysisStepResults.md)
 - [AnalysisStepVersion](docs/AnalysisStepVersion.md)
 - [AnalysisStepVersionResults](docs/AnalysisStepVersionResults.md)
 - [AssayTerm](docs/AssayTerm.md)
 - [AssayTermResults](docs/AssayTermResults.md)
 - [Attachment](docs/Attachment.md)
 - [Attachment1](docs/Attachment1.md)
 - [AuxiliarySet](docs/AuxiliarySet.md)
 - [AuxiliarySetResults](docs/AuxiliarySetResults.md)
 - [Award](docs/Award.md)
 - [AwardResults](docs/AwardResults.md)
 - [Biomarker](docs/Biomarker.md)
 - [BiomarkerResults](docs/BiomarkerResults.md)
 - [ConfigurationFile](docs/ConfigurationFile.md)
 - [ConfigurationFileResults](docs/ConfigurationFileResults.md)
 - [ConstructLibrarySet](docs/ConstructLibrarySet.md)
 - [ConstructLibrarySetResults](docs/ConstructLibrarySetResults.md)
 - [CrisprModification](docs/CrisprModification.md)
 - [CrisprModificationResults](docs/CrisprModificationResults.md)
 - [CuratedSet](docs/CuratedSet.md)
 - [CuratedSetResults](docs/CuratedSetResults.md)
 - [DegronModification](docs/DegronModification.md)
 - [DegronModificationResults](docs/DegronModificationResults.md)
 - [Document](docs/Document.md)
 - [DocumentResults](docs/DocumentResults.md)
 - [Gene](docs/Gene.md)
 - [GeneLocation](docs/GeneLocation.md)
 - [GeneLocation1](docs/GeneLocation1.md)
 - [GeneResults](docs/GeneResults.md)
 - [GenomeBrowserAnnotationFile](docs/GenomeBrowserAnnotationFile.md)
 - [GenomeBrowserAnnotationFileResults](docs/GenomeBrowserAnnotationFileResults.md)
 - [HumanDonor](docs/HumanDonor.md)
 - [HumanDonorResults](docs/HumanDonorResults.md)
 - [Image](docs/Image.md)
 - [ImageFile](docs/ImageFile.md)
 - [ImageFileResults](docs/ImageFileResults.md)
 - [ImageResults](docs/ImageResults.md)
 - [InVitroSystem](docs/InVitroSystem.md)
 - [InVitroSystemResults](docs/InVitroSystemResults.md)
 - [InstitutionalCertificate](docs/InstitutionalCertificate.md)
 - [InstitutionalCertificateResults](docs/InstitutionalCertificateResults.md)
 - [Item](docs/Item.md)
 - [ItemType](docs/ItemType.md)
 - [Lab](docs/Lab.md)
 - [LabResults](docs/LabResults.md)
 - [Limit](docs/Limit.md)
 - [Locus](docs/Locus.md)
 - [Locus1](docs/Locus1.md)
 - [MatrixFile](docs/MatrixFile.md)
 - [MatrixFileResults](docs/MatrixFileResults.md)
 - [MeasurementSet](docs/MeasurementSet.md)
 - [MeasurementSetResults](docs/MeasurementSetResults.md)
 - [ModelFile](docs/ModelFile.md)
 - [ModelFileResults](docs/ModelFileResults.md)
 - [ModelSet](docs/ModelSet.md)
 - [ModelSetResults](docs/ModelSetResults.md)
 - [MultiplexedSample](docs/MultiplexedSample.md)
 - [MultiplexedSampleResults](docs/MultiplexedSampleResults.md)
 - [NoResultsResponse](docs/NoResultsResponse.md)
 - [NoResultsResponseColumnsValue](docs/NoResultsResponseColumnsValue.md)
 - [NoResultsResponseFacetGroupsInner](docs/NoResultsResponseFacetGroupsInner.md)
 - [NoResultsResponseFacetsInner](docs/NoResultsResponseFacetsInner.md)
 - [NoResultsResponseFacetsInnerTermsInner](docs/NoResultsResponseFacetsInnerTermsInner.md)
 - [NoResultsResponseFiltersInner](docs/NoResultsResponseFiltersInner.md)
 - [NoResultsResponseSortValue](docs/NoResultsResponseSortValue.md)
 - [OpenReadingFrame](docs/OpenReadingFrame.md)
 - [OpenReadingFrameResults](docs/OpenReadingFrameResults.md)
 - [Page](docs/Page.md)
 - [PageLayout](docs/PageLayout.md)
 - [PageLayoutComponents](docs/PageLayoutComponents.md)
 - [PageResults](docs/PageResults.md)
 - [PhenotypeTerm](docs/PhenotypeTerm.md)
 - [PhenotypeTermResults](docs/PhenotypeTermResults.md)
 - [PhenotypicFeature](docs/PhenotypicFeature.md)
 - [PhenotypicFeatureResults](docs/PhenotypicFeatureResults.md)
 - [PlatformTerm](docs/PlatformTerm.md)
 - [PlatformTermResults](docs/PlatformTermResults.md)
 - [PredictionSet](docs/PredictionSet.md)
 - [PredictionSetResults](docs/PredictionSetResults.md)
 - [PrimaryCell](docs/PrimaryCell.md)
 - [PrimaryCellResults](docs/PrimaryCellResults.md)
 - [Publication](docs/Publication.md)
 - [PublicationResults](docs/PublicationResults.md)
 - [ReferenceFile](docs/ReferenceFile.md)
 - [ReferenceFileResults](docs/ReferenceFileResults.md)
 - [RelatedDonor](docs/RelatedDonor.md)
 - [RodentDonor](docs/RodentDonor.md)
 - [RodentDonorResults](docs/RodentDonorResults.md)
 - [SampleTerm](docs/SampleTerm.md)
 - [SampleTermResults](docs/SampleTermResults.md)
 - [SearchFacet](docs/SearchFacet.md)
 - [SearchResultItem](docs/SearchResultItem.md)
 - [SearchResults](docs/SearchResults.md)
 - [SequenceFile](docs/SequenceFile.md)
 - [SequenceFileResults](docs/SequenceFileResults.md)
 - [SignalFile](docs/SignalFile.md)
 - [SignalFileResults](docs/SignalFileResults.md)
 - [Software](docs/Software.md)
 - [SoftwareResults](docs/SoftwareResults.md)
 - [SoftwareVersion](docs/SoftwareVersion.md)
 - [SoftwareVersionResults](docs/SoftwareVersionResults.md)
 - [Source](docs/Source.md)
 - [SourceResults](docs/SourceResults.md)
 - [TabularFile](docs/TabularFile.md)
 - [TabularFileResults](docs/TabularFileResults.md)
 - [TechnicalSample](docs/TechnicalSample.md)
 - [TechnicalSampleResults](docs/TechnicalSampleResults.md)
 - [Tile](docs/Tile.md)
 - [Tissue](docs/Tissue.md)
 - [TissueResults](docs/TissueResults.md)
 - [Treatment](docs/Treatment.md)
 - [TreatmentResults](docs/TreatmentResults.md)
 - [User](docs/User.md)
 - [UserResults](docs/UserResults.md)
 - [WholeOrganism](docs/WholeOrganism.md)
 - [WholeOrganismResults](docs/WholeOrganismResults.md)
 - [Workflow](docs/Workflow.md)
 - [WorkflowResults](docs/WorkflowResults.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="basicAuth"></a>
### basicAuth

- **Type**: HTTP basic authentication


## Author


